package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.SellTypeEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class SellOrderQueryInfo extends QueryInfo {

    private String organIdList;

    @ApiModelProperty(value = "商品名称",required = false)
    private String goodsName;

    @ApiModelProperty(value = "合作单位id",required = false)
    private Integer cooperationOrganId;

    @ApiModelProperty(value = "销售类型",required = false)
    private SellTypeEnum type;

    @ApiModelProperty(value = "开始时间",required = false)
    private Date startTime;

    @ApiModelProperty(value = "结束时间",required = false)
    private Date endTime;

    @ApiModelProperty(value = "用户名称或编号",required = false)
    private String userName;

    public String getOrganIdList() {
        return organIdList;
    }

    public void setOrganIdList(String organIdList) {
        this.organIdList = organIdList;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public SellTypeEnum getType() {
        return type;
    }

    public void setType(SellTypeEnum type) {
        this.type = type;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getCooperationOrganId() {
        return cooperationOrganId;
    }

    public void setCooperationOrganId(Integer cooperationOrganId) {
        this.cooperationOrganId = cooperationOrganId;
    }

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}
}
